Bug 69041 - Spec file don' mentioned a non existing /sbin/nologin on 6.2 systems
Spec file don' mentioned a non existing /sbin/nologin on 6.2 systems
Product: Red Hat Raw Hide
Classification: Retired
Component: openssh (Show other bugs)
All Linux
low Severity medium
: ---
: ---
Assigned To: Tomas Mraz
Brian Brock
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2002-07-17 08:44 EDT by Peter Bieringer
Modified: 2007-03-26 23:54 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-02-03 10:22:43 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Peter Bieringer 2002-07-17 08:44:19 EDT
Description of problem:

because /sbin/nologin isn't included on RHL's 6.2 util-linux-2.10f, a normal
rebuilded version of openssh-3.4p1 cannot be installed:

# rpm -Fhv openssh-*
error: failed dependencies:
        /sbin/nologin is needed by openssh-3.4p1-1

Diff for spec file which fixes this problem:

@@ -41,6 +41,7 @@
 %if %{build6x}
 %define _sysconfdir /etc
 %define noip6 1
+%define nologin 0
Comment 1 Tomas Mraz 2005-02-03 10:22:43 EST
6.x is not supported.

Note You need to log in before you can comment on or make changes to this bug.